// InterruptibleCursor.h: interface for the CInterruptibleCursor class.
// Copyright (c) 2021 by David Wincelberg
//////////////////////////////////////////////////////////////////////

#pragma once

class CInterruptibleCursor  
{
public:
// Construction
	CInterruptibleCursor (bool bDelay = false);
	virtual ~CInterruptibleCursor();

// Implementation
	void Restore();
	void Clear();

// Attributes
private:
	HCURSOR m_curNormal;
	HCURSOR m_curMixed;
};
